
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android App中使用Gallery制作幻灯片播放效果 / 憋错料</title>

    <meta name="description" content="Android App中使用Gallery制作幻灯片播放效果 http://www.jb51.net/article/83313.htm 我们有时候在iPhone手机上或者Windows上面看到动态的图片,可以通过鼠标或者手指触摸来移动它,产生动态的图片滚动效果,还可以根据你的点击或者触摸触发其他事件响应.同样的,在Android中也提供这这种实现,这就是通过Gallery在UI上实现缩略图浏览器. 我们来看看Gallery是如何来实现的,先把控件从布局文件中声明,只需知道ID为gallery. ? 1 Gallery gallery = (Gallery">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Android App中使用Gallery制作幻灯片播放效果</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>http://www.jb51.net/article/83313.htm</p>
<p>我们有时候在iPhone手机上或者Windows上面看到动态的图片，可以通过鼠标或者手指触摸来移动它，产生动态的图片滚动效果，还可以根据你的点击或者触摸触发其他事件响应。同样的，在Android中也提供这这种实现，这就是通过Gallery在UI上实现缩略图浏览器。<br /> 我们来看看Gallery是如何来实现的，先把控件从布局文件中声明，只需知道ID为gallery。</p>
<p><a href="http://www.jb51.net/article/83313.htm#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1
</td>
<td>
<p><code>Gallery gallery = (Gallery) findViewById(R.id.gallery); </code></p>
</td>
</tr>
</tbody>
</table>
<p>一般情况下，我们在Android中要用到类似这种图片容器的控件，都需要为它指定一个适配器，让它可以把内容按照我们定义的方式来显示，因此我们来给它加一个适配器，至于这个适配器如何实现，后面接着来操作，这里只需知道这个适配器的类叫</p>
<p><a href="http://www.jb51.net/article/83313.htm#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1
</td>
<td>
<p><code>ImageAdapter。 gallery.setAdapter(</code><code>new</code> <code>ImageAdapter(</code><code>this</code><code>));</code></p>
</td>
</tr>
</tbody>
</table>
<p>复制代码接下来就是重头戏了，适配器可以说是最重要的，我们来看看如何做？到这里似乎还缺少一些很重要的东西？什么东西呢？我们需要显示的是图片，那么图片我们当然首先要准备好，这里我们准备了5张图片(存放drawable文件夹中)，我们用其IDs做索引，以便在适配器中使用。</p>
<p><a href="http://www.jb51.net/article/83313.htm#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7
</td>
<td>
<p><code>private</code> <code>Integer[] mps = { </code></p>
<p><code>&nbsp;&nbsp;</code><code>R.drawable.icon1, </code></p>
<p><code>&nbsp;&nbsp;</code><code>R.drawable.icon2, </code></p>
<p><code>&nbsp;&nbsp;</code><code>R.drawable.icon3, </code></p>
<p><code>&nbsp;&nbsp;</code><code>R.drawable.icon4, </code></p>
<p><code>&nbsp;&nbsp;</code><code>R.drawable.icon5 </code></p>
<p><code>}; </code></p>
</td>
</tr>
</tbody>
</table>
<p>OK，这里将开始定义适配器了，通过继承BaseAdapter用以实现的适配器。</p>
<p><a href="http://www.jb51.net/article/83313.htm#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15</p>
<p>16</p>
<p>17</p>
<p>18</p>
<p>19</p>
<p>20</p>
<p>21</p>
<p>22</p>
<p>23</p>
<p>24</p>
<p>25</p>
<p>26</p>
<p>27
</td>
<td>
<p><code>public</code> <code>class</code> <code>ImageAdapter </code><code>extends</code> <code>BaseAdapter { </code></p>
<p><code>&nbsp;</code><code>private</code> <code>Context mContext; </code></p>
<p><code>&nbsp;&nbsp;</code><code>public</code> <code>ImageAdapter(Context context) { </code></p>
<p><code>&nbsp;&nbsp;</code><code>mContext = context; </code></p>
<p><code>&nbsp;</code><code>} </code></p>
<p><code>&nbsp;</code></p>
<p><code>&nbsp;</code><code>public</code> <code>int</code> <code>getCount() { </code></p>
<p><code>&nbsp;&nbsp;</code><code>return</code> <code>mps.length; </code></p>
<p><code>&nbsp;</code><code>} </code></p>
<p><code>&nbsp;</code></p>
<p><code>&nbsp;</code><code>public</code> <code>Object getItem(</code><code>int</code> <code>position) { </code></p>
<p><code>&nbsp;&nbsp;</code><code>return</code> <code>position; </code></p>
<p><code>&nbsp;</code><code>} </code></p>
<p><code>&nbsp;</code></p>
<p><code>&nbsp;</code><code>public</code> <code>long</code> <code>getItemId(</code><code>int</code> <code>position) { </code></p>
<p><code>&nbsp;&nbsp;</code><code>return</code> <code>position; </code></p>
<p><code>&nbsp;</code><code>} </code></p>
<p><code>&nbsp;</code></p>
<p><code>&nbsp;</code><code>public</code> <code>View getView(</code><code>int</code> <code>position, View convertView, ViewGroup parent) { </code></p>
<p><code>&nbsp;&nbsp;</code><code>ImageView image = </code><code>new</code> <code>ImageView(mContext); </code></p>
<p><code>&nbsp;&nbsp;</code><code>image.setImageResource(mps[position]); </code></p>
<p><code>&nbsp;&nbsp;</code><code>image.setAdjustViewBounds(</code><code>true</code><code>); </code></p>
<p><code>&nbsp;&nbsp;</code><code>image.setLayoutParams(</code><code>new</code> <code>Gallery.LayoutParams( </code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT)); </code></p>
<p><code>&nbsp;&nbsp;</code><code>return</code> <code>image; </code></p>
<p><code>&nbsp;</code><code>} </code></p>
<p><code>} </code></p>
</td>
</tr>
</tbody>
</table>
<p>至此，整个Gallery基本都是先完成了，我们还需要为它添加一个监听器，否则这个缩略图浏览器就仅仅只可以看不能用了。</p>
<p><a href="http://www.jb51.net/article/83313.htm#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10
</td>
<td>
<p><code>gallery.setOnItemSelectedListener(</code><code>new</code> <code>AdapterView.OnItemSelectedListener() { </code></p>
<p><code>&nbsp;</code><code>@Override</code></p>
<p><code>&nbsp;</code><code>public</code> <code>void</code> <code>onItemSelected(AdapterView&lt;?&gt; parent, View v,</code><code>int</code> <code>position, </code><code>long</code> <code>id) { </code></p>
<p><code>&nbsp;</code><code>} </code></p>
<p><code>&nbsp;</code></p>
<p><code>&nbsp;</code><code>@Override</code></p>
<p><code>&nbsp;</code><code>public</code> <code>void</code> <code>onNothingSelected(AdapterView&lt;?&gt; arg0) { </code></p>
<p><code>&nbsp;</code><code>//这里不做响应 </code></p>
<p><code>&nbsp;</code><code>} </code></p>
<p><code>}); </code></p>
</td>
</tr>
</tbody>
</table>
<p><strong>一、效果图展示<br /></strong></p>
<p>最近下载几款手机应用研究了下，发了有些自定义控件惊人的相似，所以我觉得在以后的开发中，对一些控件的复用肯定是很多的，在首页（非载入页）一般都会有一个幻灯片效果，既可以放广告也可以放推荐，如果图片设计的好看，效果一般都会不错，既然用到了Gallery，也附带把相框效果的例子写一写（淘宝详情界面的商品图片滑动展示）</p>
<p>（1）幻灯片效果展示：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDQvMjAxNjQyOTE0NDg0MDQyMi5qcGc/MjAxNjMyOTE0NDkx.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDQvMjAxNjQyOTE0NDk1MzQyOC5qcGc/MjAxNjMyOTE0NTA0.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDQvMjAxNjQyOTE0NTAyMjYwNC5qcGc/MjAxNjMyOTE0NTAyOQ==.jpg" /></p>
<p>（2）商品图片滑动展示</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDQvMjAxNjQyOTE0NTA0MzI2My5qcGc/MjAxNjMyOTE0NTA1NQ==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDQvMjAxNjQyOTE0NTEwNTU0OS5qcGc/MjAxNjMyOTE0NTExMg==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDQvMjAxNjQyOTE0NTEyMjg4Ni5qcGc/MjAxNjMyOTE0NTEyOQ==.jpg" /></p>
<p>查看大图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDQvMjAxNjQyOTE0NTEzNjEwOC5qcGc/MjAxNjMyOTE0NTE0NA==.jpg" /></p>
<p><strong>二、部分代码说明</strong></p>
<p>1、幻灯片效果的实现：<br /> 自定义Gallery：DetailGallery.java<br />可视界面：ImgSwitchActivity.java<br />适配类：GalleryIndexAdapter.java<br />自定义Gallery主要重写onFling通过按下和松手的位置不同比较是向右移动还是向左移动，部分代码如下：</p>
<p><a href="http://www.jb51.net/article/83313.htm#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15
</td>
<td>
<p><code>private</code> <code>boolean</code> <code>isScrollingLeft(MotionEvent e1, MotionEvent e2) {</code></p>
<p><code>&nbsp;</code><code>return</code> <code>e2.getX() &gt; e1.getX();</code></p>
<p><code>}</code></p>
<p><code>@Override</code></p>
<p><code>public</code> <code>boolean</code> <code>onFling(MotionEvent e1, MotionEvent e2, </code><code>float</code> <code>velocityX,</code></p>
<p><code>&nbsp;&nbsp;</code><code>float</code> <code>velocityY) {</code></p>
<p><code>&nbsp;</code><code>int</code> <code>kEvent;</code></p>
<p><code>&nbsp;</code><code>if</code> <code>(isScrollingLeft(e1, e2)) {</code></p>
<p><code>&nbsp;&nbsp;</code><code>kEvent = KeyEvent.KEYCODE_DPAD_LEFT;</code></p>
<p><code>&nbsp;</code><code>} </code><code>else</code> <code>{</code></p>
<p><code>&nbsp;&nbsp;</code><code>kEvent = KeyEvent.KEYCODE_DPAD_RIGHT;</code></p>
<p><code>&nbsp;</code><code>}</code></p>
<p><code>&nbsp;</code><code>onKeyDown(kEvent, </code><code>null</code><code>);</code></p>
<p><code>&nbsp;</code><code>return</code> <code>true</code><code>;</code></p>
<p><code>}</code></p>
</td>
</tr>
</tbody>
</table>
<p>2、在适配类 GalleryIndexAdapter主要完成幻灯片的循环播放，在getCount里面返回值返回Integer.MAX_VALUE，然后在getView里面根据position与传进来初始图片个数进行余数计算得到每次循环到哪张图片。部分代码如下：</p>
<p><a href="http://www.jb51.net/article/83313.htm#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15</p>
<p>16</p>
<p>17</p>
<p>18
</td>
<td>
<p><code>@Override</code></p>
<p><code>&nbsp;</code><code>public</code> <code>int</code> <code>getCount() {</code></p>
<p><code>&nbsp;&nbsp;</code><code>// TODO Auto-generated method stub</code></p>
<p><code>&nbsp;&nbsp;</code><code>return</code> <code>Integer.MAX_VALUE;</code></p>
<p><code>&nbsp;</code><code>}</code></p>
<p><code>&nbsp;</code></p>
<p><code>&nbsp;</code><code>&hellip;&hellip;</code></p>
<p><code>&nbsp;</code></p>
<p><code>&nbsp;</code><code>@Override</code></p>
<p><code>&nbsp;</code><code>public</code> <code>View getView(</code><code>int</code> <code>position, View convertView, ViewGroup arg2) {</code></p>
<p><code>&nbsp;&nbsp;</code><code>// TODO Auto-generated method stub</code></p>
<p><code>&nbsp;&nbsp;</code><code>ImageView imageView = </code><code>new</code> <code>ImageView(context);</code></p>
<p><code>&nbsp;&nbsp;</code><code>imageView.setBackgroundResource(imagList.get(position%imagList.size()));</code></p>
<p><code>&nbsp;&nbsp;</code><code>imageView.setScaleType(ScaleType.FIT_XY);</code></p>
<p><code>&nbsp;&nbsp;</code><code>imageView.setLayoutParams(</code><code>new</code> <code>Gallery.LayoutParams(Gallery.LayoutParams.FILL_PARENT</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>, Gallery.LayoutParams.WRAP_CONTENT));</code></p>
<p><code>&nbsp;&nbsp;</code><code>return</code> <code>imageView;</code></p>
<p><code>&nbsp;</code><code>} </code></p>
</td>
</tr>
</tbody>
</table>
<p>3、在可视界面里面实现逻辑控制，通过定时器定时刷新幻灯片，定时器通过定时发送消息，消息接受处理机制接收到消息之后，就模拟滑动事件，调用Gallery的onFling方法实现图片自动切换效果。选择按钮的显示效果（RadioButton）需要在Gallery的setOnItemSelectedListener进行处理。</p>
<p><a href="http://www.jb51.net/article/83313.htm#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15</p>
<p>16</p>
<p>17</p>
<p>18</p>
<p>19</p>
<p>20</p>
<p>21</p>
<p>22</p>
<p>23</p>
<p>24</p>
<p>25</p>
<p>26</p>
<p>27</p>
<p>28</p>
<p>29</p>
<p>30</p>
<p>31</p>
<p>32</p>
<p>33</p>
<p>34</p>
<p>35</p>
<p>36</p>
<p>37</p>
<p>38</p>
<p>39</p>
<p>40</p>
<p>41</p>
<p>42</p>
<p>43</p>
<p>44</p>
<p>45</p>
<p>46</p>
<p>47</p>
<p>48</p>
<p>49</p>
<p>50</p>
<p>51</p>
<p>52</p>
<p>53</p>
<p>54</p>
<p>55</p>
<p>56</p>
<p>57</p>
<p>58</p>
<p>59</p>
<p>60</p>
<p>61</p>
<p>62</p>
<p>63</p>
<p>64</p>
<p>65</p>
<p>66</p>
<p>67</p>
<p>68</p>
<p>69</p>
<p>70</p>
<p>71</p>
<p>72</p>
<p>73</p>
<p>74</p>
<p>75</p>
<p>76</p>
<p>77</p>
<p>78</p>
<p>79
</td>
<td>
<p><code>//定时器和事件处理5秒刷新一次幻灯片</code></p>
<p><code>/** 展示图控制器，实现展示图切换 */</code></p>
<p><code>&nbsp;</code><code>final</code> <code>Handler handler_gallery = </code><code>new</code> <code>Handler() {</code></p>
<p><code>&nbsp;&nbsp;</code><code>public</code> <code>void</code> <code>handleMessage(Message msg) {</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>/* 自定义屏幕按下的动作 */</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>MotionEvent e1 = MotionEvent.obtain(SystemClock.uptimeMillis(),</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>SystemClock.uptimeMillis(), MotionEvent.ACTION_UP,</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>89.333336f, 265.33334f, 0);</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>/* 自定义屏幕放开的动作 */</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>MotionEvent e2 = MotionEvent.obtain(SystemClock.uptimeMillis(),</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>SystemClock.uptimeMillis(), MotionEvent.ACTION_DOWN,</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>300.0f, 238.00003f, 0);</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>myGallery.onFling(e2, e1, -800, 0);</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>/* 给gallery添加按下和放开的动作，实现自动滑动 */</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>super.handleMessage(msg);</code></p>
<p><code>&nbsp;&nbsp;</code><code>}</code></p>
<p><code>&nbsp;</code><code>};</code></p>
<p><code>&nbsp;</code><code>protected void onResume() {</code></p>
<p><code>&nbsp;&nbsp;</code><code>autogallery();</code></p>
<p><code>&nbsp;&nbsp;</code><code>super.onResume();</code></p>
<p><code>&nbsp;</code><code>};</code></p>
<p><code>&nbsp;</code><code>private void autogallery() {</code></p>
<p><code>&nbsp;&nbsp;</code><code>/* 设置定时器，每5秒自动切换展示图 */</code></p>
<p><code>&nbsp;&nbsp;</code><code>Timer time = new Timer();</code></p>
<p><code>&nbsp;&nbsp;</code><code>TimerTask task = new TimerTask() {</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>@Override</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>public void run() {</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>Message m = new Message();</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>handler_gallery.sendMessage(m);</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>}</code></p>
<p><code>&nbsp;&nbsp;</code><code>};</code></p>
<p><code>&nbsp;&nbsp;</code><code>time.schedule(task, 8000, 5000);</code></p>
<p><code>&nbsp;</code><code>}</code></p>
<p><code>//指示按钮和gallery初始化过程以及事件监听添加过程</code></p>
<p><code>//初始化</code></p>
<p><code>&nbsp;</code><code>void init(){</code></p>
<p><code>&nbsp;&nbsp;</code><code>myGallery = (DetailGallery)findViewById(R.id.myGallery);</code></p>
<p><code>&nbsp;&nbsp;</code><code>gallery_points = (RadioGroup) this.findViewById(R.id.galleryRaidoGroup);</code></p>
<p><code>&nbsp;&nbsp;</code><code>ArrayList&lt;Integer&gt; list = new ArrayList&lt;Integer&gt;();</code></p>
<p><code>&nbsp;&nbsp;</code><code>list.add(R.drawable.banner1);</code></p>
<p><code>&nbsp;&nbsp;</code><code>list.add(R.drawable.banner2);</code></p>
<p><code>&nbsp;&nbsp;</code><code>list.add(R.drawable.banner3);</code></p>
<p><code>&nbsp;&nbsp;</code><code>list.add(R.drawable.banner4);</code></p>
<p><code>&nbsp;&nbsp;</code><code>GalleryIndexAdapter adapter = new GalleryIndexAdapter(list, context);</code></p>
<p><code>&nbsp;&nbsp;</code><code>myGallery.setAdapter(adapter);</code></p>
<p><code>&nbsp;&nbsp;</code><code>//设置小按钮</code></p>
<p><code>&nbsp;&nbsp;</code><code>gallery_point = new RadioButton[list.size()];</code></p>
<p><code>&nbsp;&nbsp;</code><code>for (int i = 0; i &lt; gallery_point.length; i++) {</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>layout = (LinearLayout) inflater.inflate(R.layout.gallery_icon, null);</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>gallery_point[i] = (RadioButton) layout.findViewById(R.id.gallery_radiobutton);</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>gallery_point[i].setId(i);/* 设置指示图按钮ID */</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>int wh = Tool.dp2px(context, 10);</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>RadioGroup.LayoutParams layoutParams = new RadioGroup.LayoutParams(wh, wh); // 设置指示图大小</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>gallery_point[i].setLayoutParams(layoutParams);</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>layoutParams.setMargins(4, 0, 4, 0);// 设置指示图margin值</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>gallery_point[i].setClickable(false);/* 设置指示图按钮不能点击 */</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>layout.removeView(gallery_point[i]);//一个子视图不能指定了多个父视图</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>gallery_points.addView(gallery_point[i]);/* 把已经初始化的指示图动态添加到指示图的RadioGroup中 */</code></p>
<p><code>&nbsp;&nbsp;</code><code>}</code></p>
<p><code>&nbsp;</code><code>}</code></p>
<p><code>&nbsp;</code><code>//添加事件</code></p>
<p><code>&nbsp;</code><code>void</code> <code>addEvn(){</code></p>
<p><code>&nbsp;&nbsp;</code><code>myGallery.setOnItemSelectedListener(</code><code>new</code> <code>OnItemSelectedListener() {</code></p>
<p><code>&nbsp;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>@Override</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>public</code> <code>void</code> <code>onItemSelected(AdapterView&lt;?&gt; arg0, View arg1,</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>int</code> <code>arg2, </code><code>long</code> <code>arg3) {</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// TODO Auto-generated method stub</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>gallery_points.check(gallery_point[arg2%gallery_point.length].getId());</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>}</code></p>
<p><code>&nbsp;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>@Override</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>public</code> <code>void</code> <code>onNothingSelected(AdapterView&lt;?&gt; arg0) {</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// TODO Auto-generated method stub</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>}</code></p>
<p><code>&nbsp;&nbsp;</code><code>});</code></p>
<p><code>&nbsp;</code><code>}</code></p>
</td>
</tr>
</tbody>
</table>
<p>4、商品图片滑动实现过程：<br /> 图片滑动效果和上面的幻灯片效果非常的类似，只是在逻辑处理和界面上有一些小小的区别。<br /> （1）适配器类GalleryAdapter.java上面进行了图片缩放处理，节省了内存开销，又可把图片按照自己的要求缩放。</p>
<p><a href="http://www.jb51.net/article/83313.htm#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15</p>
<p>16</p>
<p>17</p>
<p>18</p>
<p>19</p>
<p>20</p>
<p>21</p>
<p>22</p>
<p>23</p>
<p>24</p>
<p>25</p>
<p>26</p>
<p>27</p>
<p>28</p>
<p>29</p>
<p>30</p>
<p>31</p>
<p>32</p>
<p>33</p>
<p>34</p>
<p>35</p>
<p>36</p>
<p>37</p>
<p>38
</td>
<td>
<p><code>//由于是测试case，所以图片都是写死的为了区别，在position = 1的时候换了一张图片</code></p>
<p><code>public</code> <code>View getView(</code><code>int</code> <code>position, View convertView, ViewGroup parent) {</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>// TODO Auto-generated method stub</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>ImageView imageView = (ImageView) LayoutInflater.from(context).inflate(R.layout.img,</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>null</code><code>);</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>Bitmap bitmap = </code><code>null</code><code>;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>try</code> <code>{</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>if</code><code>(position == </code><code>1</code> <code>){</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>bitmap = BitmapFactory.decodeStream(assetManager.open(</code><code>"xpic11247_s.jpg"</code><code>));</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>imageView.setTag(</code><code>"xpic11247_s.jpg"</code><code>);</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>}</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>else</code><code>{</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>bitmap = BitmapFactory.decodeStream(assetManager.open(</code><code>"item0_pic.jpg"</code><code>));</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>imageView.setTag(</code><code>"item0_pic.jpg"</code><code>);</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>}</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>} </code><code>catch</code> <code>(IOException e) {</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>// TODO Auto-generated catch block</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>e.printStackTrace();</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>}</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>// 加载图片之前进行缩放</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>int</code> <code>width = bitmap.getWidth();</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>int</code> <code>height = bitmap.getHeight();</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>float</code> <code>newHeight = </code><code>200</code><code>;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>float</code> <code>newWidth = width*newHeight/height;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>float</code> <code>scaleWidth = ((</code><code>float</code><code>) newWidth) / width;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>float</code> <code>scaleHeight = ((</code><code>float</code><code>) newHeight) / height;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>// 取得想要缩放的matrix参数</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>Matrix matrix = </code><code>new</code> <code>Matrix();</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>matrix.postScale(scaleWidth, scaleHeight);</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>// 得到新的图片</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>Bitmap newbm = Bitmap.createBitmap(bitmap, </code><code>0</code><code>, </code><code>0</code><code>, width, height, matrix, </code><code>true</code><code>);</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>System.out.println(newbm.getHeight()+</code><code>"-----------"</code><code>+newbm.getWidth());</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>imageView.setImageBitmap(newbm);</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>// }</code></p>
<p><code>&nbsp;&nbsp;&nbsp;</code><code>return</code> <code>imageView;</code></p>
<p><code>&nbsp;</code></p>
<p><code>&nbsp;&nbsp;</code><code>}</code></p>
</td>
</tr>
</tbody>
</table>
<p>（2）添加了一个相框效果，如果图片加载失败，就会出现一个图片压缩之后大小相等的相框图片。</p>
<p><a href="http://www.jb51.net/article/83313.htm#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8
</td>
<td>
<p><code>&lt;?</code><code>xml</code> <code>version</code><code>=</code><code>"1.0"</code> <code>encoding</code><code>=</code><code>"utf-8"</code><code>?&gt;</code></p>
<p><code>&lt;</code><code>ImageView</code> <code>xmlns:android</code><code>=</code><code>"<a href="http://schemas.android.com/apk/res/android" rel="external nofollow noreferrer">http://schemas.android.com/apk/res/android</a>"</code></p>
<p><code>&nbsp;</code><code>android:id</code><code>=</code><code>"@+id/waterfall_image"</code></p>
<p><code>&nbsp;</code><code>android:layout_width</code><code>=</code><code>"fill_parent"</code></p>
<p><code>&nbsp;</code><code>android:layout_height</code><code>=</code><code>"fill_parent"</code></p>
<p><code>&nbsp;</code><code>android:background</code><code>=</code><code>"@drawable/image_border"</code></p>
<p><code>&nbsp;</code><code>&gt;</code></p>
<p><code>&lt;/</code><code>ImageView</code><code>&gt;</code></p>
</td>
</tr>
</tbody>
</table>
<p><strong>三、开发中遇到一些问题<br /></strong>1、</p>
<p><a href="http://www.jb51.net/article/83313.htm#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1
</td>
<td>
<p><code>layout.removeView(gallery_point[i]);</code><code>//一个子视图不能指定了多个父视图</code></p>
</td>
</tr>
</tbody>
</table>
<p>如果需要把当前子childview添加到另外一个view里面去，则必须在当前的父View里面移除掉当前的childView，如果不进行这样处理则会抛出Caused by: java.lang.IllegalStateException异常，提示The specified child already has a parent. You must call removeView() on the child‘s parent first.<br /> 2、在进行图片缩放的时候，记得处理好dp和px直接的转换。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 11:00:42 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/cti/" title="cti">cti</a>, <a href="https://www.biecuoliao.com/tag/ref/" title="ref">ref</a>, <a href="https://www.biecuoliao.com/tag/read/" title="read">read</a>, <a href="https://www.biecuoliao.com/tag/%e9%83%a8%e5%88%86/" title="部分">部分</a>, <a href="https://www.biecuoliao.com/tag/%e8%ae%a1%e7%ae%97/" title="计算">计算</a>, <a href="https://www.biecuoliao.com/tag/%e8%bf%94%e5%9b%9e/" title="返回">返回</a>, <a href="https://www.biecuoliao.com/tag/syn/" title="syn">syn</a>, <a href="https://www.biecuoliao.com/tag/%e6%b6%88%e6%81%af/" title="消息">消息</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Android App中使用Gallery制作幻灯片播放效果的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0a7VWR4.html" rel="bookmark">如何在android app中使用STL库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法: 1.在jni目录下新建Application.mk; 加入 APP_STL := stlport_static右边的值还可以换成下面几个: system - 使用默认最小的C++运行库,这样生成的应用体积小,内存占用小,但部分功能将无法支持 stlport_static - 使用STLport作为静态库,这项是Android开发网极力推荐的 stlport_shared - STLport作为动态库,这个可能产生兼容性和部分低版本的Android固件,目前不推荐使用. gnustl_st			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47DERRM.html" rel="bookmark">低功耗蓝牙（BLE）在 Android APP 中的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				低功耗蓝牙(BLE)在 Android APP 中的应用 前言 最近公司接了一个新项目,用户可以把自己的乐器跟Phone或Pad连接起来,当弹奏乐器的时候,会把演奏情况同步反馈到设备上,方便用户练习,有点类似于之前玩过的一款叫[ 吉他英雄 ]的游戏.不过这次不用插线,直接蓝牙无线连接就可以了. 那么问题来了,因为弹奏的时候数据传输一直在进行,但是如果要一直打开蓝牙的话是很费电的,也许没几首曲子下来设备的电量就耗掉了不少,这当然是无法接受的.那有没有什么好的解决方案呢? 运气真好,Android在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wjqll0.html" rel="bookmark">通过Appium获取Android app中webview</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				因为要测试Android app中嵌入的web页面,所以需要从native切换到webview.网上查了好多帖子,都用到类似下面代码: //判断是否有 WEBVIEWSet&lt;String&gt; contextNames = driver.getContextHandles();for (String contextName : contextNames) {System.out.println(contextName);if (contextName.contains(&quot;WEBVIEW&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NX8AG0.html" rel="bookmark">Android App启动画面的制作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				安卓软件启动时,都会有一个全屏的带LOGO,软件名称,版本号的启动屏幕.这个屏幕是怎么做出来的呢!!下面就一步一步的来! 一.新建项目 打开eclipse,新建一个Android项目,不建Activity.这时就出现一个空白的项目. 1.新建Activity文件 点击项目管理里的res,进入layout,右键点击NEW-&gt;Project-&gt;Android-&gt;Android XML Layout File 按步骤新建一个Activity的XML文件 我是选择新建了一个RelativeLay			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0baVjpM.html" rel="bookmark">Hybrid Android App中通过js访问Shared Preferences的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				昨天研究Hybrid Android App中js和java代码之间数据共享的问题,具体场景是用户登录是android java实现,但有些业务是使用html5开发的,因此登录后到主页后,调整到某些HTML5业务页面需要传递用户的access_token,  目前想到的办法是在js端通过cordova插件访问存在Shared Preferences中的数据,但由于数据是异步返回的,需要一定的时间,有时不能及时取得数据,所以问题不能完美的解决. 目前访问Shared Preferences的Cor			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41na7PM.html" rel="bookmark">如何在Android App中使用matlab的神经网络代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				整个过程大概可以分成这么几步: 首先你要在matlab中写一个完整的神经网络 获取样本 样本导入 神经网络建模 神经网络训练 神经网络测试(优化建模) 然后你要在matlab中重写一个神经网络,第二个神经网络的特殊之处是 首先这个神经网络必须写成函数,具体有几个细节 把第一个神经网络的训练结果net网络保存成mat文件 把相关需要用的但无法直接写入代码的数据也保存成mat文件(比如数据归一化的参数) 然后在函数中把上面几个mat文件导入,基本上就是一个完整的神经网络模型了 再加上一个神经网络计算			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wYvlQM.html" rel="bookmark">css实现幻灯片播放效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用css实现幻灯片播放是最基础的,闲下来没事就试着写了一下,如果有不够完善或者方法不好的地方还请指点.下面我就用两种方法实现css花灯片效果. 方法1:定位.通过position属性改变left值 html代码: &lt;section id=box&gt; &lt;ul&gt; &lt;li&gt;1&lt;/li&gt; &lt;li&gt;2&lt;/li&gt; &lt;li&gt;3&lt;/li&gt; &lt;li&gt;4&lt;/li&gt; &lt;li&gt;1&lt;/li&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JdYrB0.html" rel="bookmark">android studio中使用recyclerview制作个显示考勤打卡的日历来</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 用户在app端选择个日期就能查询这个月的考勤打卡信息,并以日历上标注不同的颜色来显示给用户,当然这个日历是recyclerview做出来的,只是每行显示7个,表示一周的七天. 2. 员工考勤打卡的数据获取与分析都是在服务器端完成的,通过app端传入的日期和用户名,来完成用户考勤的提取分析,并把结果返回给app,使用webservice. 3.在app端把数据和recyclerview进行绑定,对不同的结果使用不同的颜色,就这样了,结果还不错. 里面最关键的部分是1. 计算选择的日期下当月有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4ALkAK3.html" rel="bookmark">Cordova for android如何在App中处理退出按钮事件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				项目需要在HTML5 Android App中加入对返回键的处理,发现直接在Activity中加返回键处理代码不起作用,分析cordova源码发现返回键已经被WebView处理掉了,所以只能在js中处理返回键了! @Override public boolean onKeyDown(int keyCode, KeyEvent event) { if (keyCode == KeyEvent.KEYCODE_BACK) { if (exit &gt; 1) { finish(); } else { To			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MElBD4.html" rel="bookmark" class="title">牙痛的特效治疗法</a>
					<div>
						牙疼,英文为:toothache,不是病,但痛起来要命. 我们都有过牙痛的经历吧,现在终于搞清楚了,牙痛的根源是十二经络邪火上腾作乱.   按阴阳分,上牙属阳,下牙属阴.       再细分,中门上牙 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoQpNb3.html" rel="bookmark" class="title">js 中对象属性特性2</a>
					<div>
						对象的存储描述: get   和   set 方法 1 &lt;script&gt; 2 var obj ={ 3 get age(){ 4 return 22 5 }, 6 set age(valu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0knv6jM.html" rel="bookmark" class="title">Android应用程序用真机调试步骤</a>
					<div>
						仅供参考: 1.开启调试模式 2.安装 Adb.exe 将platform-tools文件夹里面adb.exe AdbWinApi.dll AdbWinUsbApi.dll拷贝到tools 在tool ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEkGNx3.html" rel="bookmark" class="title">Mysql ubuntu下的安装卸载</a>
					<div>
						删除 mysql sudo apt-get autoremove --purge mysql-server-5.0sudo apt-get remove mysql-serversudo apt-ge ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz5XLq4.html" rel="bookmark" class="title">JNI之hello world</a>
					<div>
						JNI:Java Native Interface. 在java程序中,我们可以通过JNI实现一些用java语言不便实现的功能.通常有以下几种情况我们需要使用JNI来实现. 标准的java类库没有提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49re5gM.html" rel="bookmark" class="title">1-14 文件系统的特性与磁盘加密技术</a>
					<div>
						本节所讲内容: 1-1 硬盘,文件系统的结构组成 硬盘结构详解 文件系统结构的组成 实战-怎样创建硬链接和软链接 1-2 真正的了解xfs与ext文件系统的特性与区别 xfs和ext 文件系统的区别  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgPxyN0.html" rel="bookmark" class="title">ios9基础知识总结（foundation）笔记</a>
					<div>
						类:NSObject .NSString.NSMutableString.NSNumber.NSValue.NSDate.NSDateFormatter.NSRange.Collections:NSS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgPzVg0.html" rel="bookmark" class="title">分页效果的实现</a>
					<div>
						$pagnow当前页 $pagecount总页数 if($pagenow&gt;1){ $prepage=$pagenow-1; echo &quot;&lt;a href='f.php?pageno ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZDjggM.html" rel="bookmark" class="title">MongoDB学习--高级查询 &lbrack;聚合Group&rsqb;</a>
					<div>
						Group大约需要一下几个参数. key:用来分组文档的字段.和keyf两者必须有一个 keyf:可以接受一个javascript函数.用来动态的确定分组文档的字段.和key两者必须有一个 initi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZoxXM.html" rel="bookmark" class="title">oracle常用数据库内置函数</a>
					<div>
						函数 返回值 样例 显示 CEIL(n) 大于或等于数值n的最小整数 SELECT CEIL(10.6) FROM TABLE_NAME; 11 FLOOR(n) 小于等于数值n的最大整数 SELEC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02kwyA3.html" rel="bookmark" class="title">UVALive 6093 Emergency Room --优先队列实现的模拟</a>
					<div>
						题意:给n个医生,这些医生有一个上班时间,然后给一些病人,病人有一个到达的时间,以及一些诊断,诊断有property(优先级)和duration(诊断时间)这两个属性,每个病人可能要诊断多次,最后问每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NGPxyM.html" rel="bookmark" class="title">行为模式--类型对象</a>
					<div>
						理论要点 什么是类型对象:创造一个类A来允许灵活的创造新的类,而类A的每个实例都代表了不同类型的对象.通俗地讲就是定义一个类型对象类和一个有类型的对象类.每个类型对象实例代表一种不同的逻辑类型.每种有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AZmPdM.html" rel="bookmark" class="title">4月22    mysql常用函数</a>
					<div>
						一.数学函数 数学函数主要用于处理数字,包括整型.浮点数等. ABS(x) 返回x的绝对值 SELECT ABS(-1) -- 返回1 CEIL(x),CEILING(x) 返回大于或等于x的最小整数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pQ6xVM.html" rel="bookmark" class="title">jquery easyui常见问题：</a>
					<div>
						1.jquery easyui1.4.2 demo在ie10 上加载json的时候没有效果 从官网上下载了jquery easyui1.4.2 里面有个demo文件夹,但是发现底下的demo在IE.3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35A9823.html" rel="bookmark" class="title">Android 更新UI的两种方法&mdash;&mdash;handler和runOnUiThread&lpar;&rpar; - &dollar;firecat的代码足迹&dollar; - 博客频道 - CSDN&period;NET</a>
					<div>
						文章来源:http://www.2cto.com/kf/201302/190591.html Android 更新UI的两种方法——handler和runOnUiThread() 在Android开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02ZnDn0.html" rel="bookmark" class="title">VS 快捷键</a>
					<div>
						一.代码快捷键 Ctrl+J / Ctrl+K,L: 列出成员 Ctrl+Shift+空格键 / Ctrl+K,P: 参数信息 Ctrl+K,I: 快速信息 Ctrl+E,C / Ctrl+K,C:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rb5kq3.html" rel="bookmark" class="title">tomcat部署web项目的3中方法</a>
					<div>
						1.直接把项目复制到Tomcat安装目录的webapps目录中,这是最简单的一种Tomcat项目部署的方法,也是初学者最常用的方法. 2.在tomcat安装目录中有一个conf文件夹,打开此文件夹,其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVqkBd4.html" rel="bookmark" class="title">推酷文章中编写js组件系列文章整理</a>
					<div>
						一步一步实现JS拖拽插件 http://www.tuicool.com/articles/RBbmMjY JS组件系列——基于Bootstrap Ace模板的菜单和Tab页效果分享 http://ww ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02wbkp3.html" rel="bookmark" class="title">js求三位数的和</a>
					<div>
						例如输入508就输出5+0+8的和13: &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta ch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBWjav0.html" rel="bookmark" class="title">acm课题总结</a>
					<div>
						学了近一学期的acm,从开始什么都不懂到逐渐懂得用算法解决问题,从不顾时间性能和空间性能到开始考虑怎样减少时间复杂度和空间复杂度问题,正如老师所说的'你选这门课,收获的不仅是学分,更重要的是你会发现你 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
